/*
 *  config.h
 *		Configuration for the LysKOM tty-client.
 */


/* Include here a m- file that describes the machine and system you use.
   See m-template.h for info on what m- files should define.   */
#include "machine/m-sun3.h"

/* Include here a s- file that describes the system type you are using.
   See s-template.h for documentation on writing s- files.  */
#include "machine/s-sunos-4.1.1.h"


/* This defines the default server to use if none is given as argument.
   The part before the colon is the host name, and the part after is
   the port number, or symbolic name if listed in /etc/services  */
#define	DEFAULT_SERVER	"Kom.Lysator.LiU.Se:lyskom"



/* Beyond this point, you shouldn't have to change anything to make
   things work.  However, if you want to fine-tune the performance of
   'lyskom', you can change these parameters.	*/


/* This defines the number of microseconds to wait on terminal before
   letting the cache do some work in the background.  This value might
   need some finetuning to get good results.  */
#define	KCC_TIMEOUT	50000L


/* These values tell how large the cache should be. */
#define	KCC_NPERSONS		17
#define	KCC_NCONFS		13
#define	KCC_NTEXTSTATS		23
#define	KCC_NMEMBERSHIPS	69
