/*	@(#)stdio.h 1.16 89/12/29 SMI; from UCB 1.4 06/30/83	*/

#include <stdarg.h>

# ifndef FILE
#define	BUFSIZ	1024
#define _SBFSIZ	8
extern	struct	_iobuf {
	int	_cnt;
	unsigned char *_ptr;
	unsigned char *_base;
	int	_bufsiz;
	short	_flag;
	char	_file;		/* should be short */
} _iob[];

#define _IOFBF	0
#define	_IOREAD	01
#define	_IOWRT	02
#define	_IONBF	04
#define	_IOMYBUF	010
#define	_IOEOF	020
#define	_IOERR	040
#define	_IOSTRG	0100
#define	_IOLBF	0200
#define	_IORW	0400
#undef NULL
#define	NULL	0
#define	FILE	struct _iobuf
#define	EOF	(-1)

#define	stdin	(&_iob[0])
#define	stdout	(&_iob[1])
#define	stderr	(&_iob[2])

#ifdef lint	/* so that lint likes (void)putc(a,b) */
extern int putc();
extern int getc();
#else
#define	getc(p)		(--(p)->_cnt>=0? ((int)*(p)->_ptr++):_filbuf(p))
#define putc(x, p)	(--(p)->_cnt >= 0 ?\
	(int)(*(p)->_ptr++ = (unsigned char)(x)) :\
	(((p)->_flag & _IOLBF) && -(p)->_cnt < (p)->_bufsiz ?\
		((*(p)->_ptr = (unsigned char)(x)) != '\n' ?\
			(int)(*(p)->_ptr++) :\
			_flsbuf(*(unsigned char *)(p)->_ptr, p)) :\
		_flsbuf((unsigned char)(x), p)))
#endif
#define	getchar()	getc(stdin)
#define	putchar(x)	putc((x),stdout)
#define	feof(p)		(((p)->_flag&_IOEOF)!=0)
#define	ferror(p)	(((p)->_flag&_IOERR)!=0)
#define	fileno(p)	((p)->_file)
#define	clearerr(p)	(void) ((p)->_flag &= ~(_IOERR|_IOEOF))

extern FILE	*fopen(const char *filename, const char *type);
extern FILE	*fdopen(int fd, const char *type);
extern FILE	*freopen(const char *filename, const char *type, FILE *stream);
extern FILE	*popen(const char *command, const char *type);
extern FILE	*tmpfile(void);
extern long	ftell(FILE *stream);
extern char	*fgets(char *s, int n, FILE *stream);
extern char	*gets(char *s);
extern char	*sprintf(char *s, const char *format, ...);
extern char	*ctermid(char *s);
extern char	*cuserid(char *s);
extern char	*tempnam(const char *dir, const char *pfx);
extern char	*tmpnam(char *s);

#define L_ctermid	9
#define L_cuserid	9
#define P_tmpdir	"/usr/tmp/"
#define L_tmpnam	25		/* (sizeof(P_tmpdir) + 15) */

/* The rest of this file is written at by various hackers at Lysator,
   and/or extracted from the man pages for sunos4.1.1. */

extern int ungetc(int c, FILE *stream);
extern int _flsbuf (unsigned char, FILE *);
extern int _filbuf (FILE *);
extern void rewind(FILE *stream);
void setbuf(FILE *stream, char *buf);
void setbuffer(FILE *stream, char *buf, int size);
int setlinebuf(FILE *stream);
int setvbuf(FILE *stream, char *buf, int type, int size);
int fclose(FILE *stream);
int fflush(FILE *stream);
int printf(const char *format, ...);
int fprintf(FILE *fp, const char *format, ...);
int fscanf(FILE *fp, const char *format, ...);
int scanf(const char *format, ...);
int sscanf(const char *s, const char *format, ...);
int fseek(FILE *stream, long offset, int ptrname);
long ftell(FILE *stream);
int fread(void *ptr, int size, int nitems, FILE *stream);
int fwrite(const void *ptr, int size, int nitems, FILE *stream);
int rename(const char *path1, const char *path2);
int remove(const char *filename);
int fputs(const char *s, FILE *fp);
int puts(const char *s);
int vfprintf(FILE *fp, const char *format, va_list arg);
void perror(const char *s);

# endif
